# Class ParameterComponent

java.lang.Object
org.a11y.brlapi.Component
org.a11y.brlapi.ParameterComponent

Direct Known Subclasses:
  `Parameter, Parameters, ParameterWatcher, RowCells`

public abstract class ParameterComponent extends Component

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`DEFAULT_SUBPARAM`

### Fields inherited from class Component

`BYTE_MASK, UNICODE_BRAILLE_ROW`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ParameterComponent()`

## Method Summary

Modifier and Type
Method
Description
`static BitMask`
`asBitMask(Object value)`
`static boolean`
`asBoolean(Object value)`
`static boolean[]`
`asBooleanArray(Object value)`
`static byte`
`asByte(Object value)`
`static byte[]`
`asByteArray(Object value)`
`static DisplaySize`
`asDisplaySize(Object value)`
`static String`
`asDots(byte cell)`
`static String`
`asDots(byte[] cells)`
`static int`
`asInt(Object value)`
`static int[]`
`asIntArray(Object value)`
`static long`
`asLong(Object value)`
`static long[]`
`asLongArray(Object value)`
`static RowCells`
`asRowCells(Object value)`
`static short`
`asShort(Object value)`
`static short[]`
`asShortArray(Object value)`
`static String`
`asString(Object value)`
`static String`
`toString(Object value)`

### Methods inherited from class Component

`getObjectName, getObjectName, printf, toOperandName, toUnicodeBraille, toUnicodeBraille`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_SUBPARAM

public static final long DEFAULT_SUBPARAM

See Also:
  - Constant Field Values

## Constructor Details

### ParameterComponent

protected ParameterComponent()

## Method Details

### asString

public static String asString(Object value)

### asBooleanArray

public static boolean[] asBooleanArray(Object value)

### asByteArray

public static byte[] asByteArray(Object value)

### asShortArray

public static short[] asShortArray(Object value)

### asIntArray

public static int[] asIntArray(Object value)

### asLongArray

public static long[] asLongArray(Object value)

### asBoolean

public static boolean asBoolean(Object value)

### asByte

public static byte asByte(Object value)

### asShort

public static short asShort(Object value)

### asInt

public static int asInt(Object value)

### asLong

public static long asLong(Object value)

### asDisplaySize

public static DisplaySize asDisplaySize(Object value)

### asBitMask

public static BitMask asBitMask(Object value)

### asRowCells

public static RowCells asRowCells(Object value)

### asDots

public static String asDots(byte cell)

### asDots

public static String asDots(byte[] cells)

### toString

public static String toString(Object value)